import pandas as pd
import os

df = pd.read_table('SraRunTable.txt')

for s in set(df['Sample_Name_s']):
    print(s)
    subdf = df[ df['Sample_Name_s'] == s]
    if subdf.shape[0] == 1:
        callstr = 'cp merged_fastqs/' + subdf['Run_s'].values[0] + \
                  '.merged.fastq concat_fastqs/' + s + '.fastq'
        os.system(callstr)
    else:
        callstr = 'cat ' + \
                  ' '.join(['merged_fastqs/' + i+'.merged.fastq' for i in subdf['Run_s']]) + \
                  ' > concat_fastqs/' + s + '.fastq'
        os.system(callstr)
